tasks:
  walking:
    type: "walking"
    distance: 30000
display:
  name: "&aWalk 30,000 Blocks"
  lore-normal:
    - "&7Walk 30,000 blocks around the server to complete"
    - "&7this quest and earn the following rewards:"
    - ""
    - "&eRewards:"
    - "&8* &a16 Enchanted Golden Apples"
    - "&8* &2$&a7,000 Money"
  lore-started:
    - ""
    - "&eYour current progression:"
    - "&8* &f{walking:progress}&8/&f30,000 blocks walked."
  type: "BOOK"

rewards:
  - "eco give {player} 7000"
  - "minecraft:give {player} enchanted_golden_apple 16"
  - "rawmsg {player} true &8&m---------------<n>&e&lQUEST COMPLETE<n>&7Rewards: &2$&a7,000 Money &7& &a16 Enchanted Golden Apples<n>&8&m---------------"

placeholders:
  description: "&7Walk &f30,000 blocks &7around the server."
  progress: " &8* &f{walking:progress}&8/&730,000 blocks walked."

options:
  category: "walking"
  repeatable: true
  cooldown:
    enabled: true
    time: 10080
  sort-order: 4